html,
body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

h1:focus {
    outline: none;
}

a {
    color: #0071c1;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.loading-progress {
    position: relative;
    display: block;
    width: 8rem;
    height: 8rem;
    margin: 20vh auto 1rem auto;
}

    .loading-progress circle {
        fill: none;
        stroke: #e0e0e0;
        stroke-width: 0.6rem;
        transform-origin: 50% 50%;
        transform: rotate(-90deg);
    }

        .loading-progress circle:last-child {
            stroke: #1b6ec2;
            stroke-dasharray: calc(3.141 * var(--blazor-load-percentage, 0%) * 0.8), 500%;
            transition: stroke-dasharray 0.05s ease-in-out;
        }

.loading-progress-text {
    position: absolute;
    text-align: center;
    font-weight: bold;
    inset: calc(20vh + 3.25rem) 0 auto 0.2rem;
}

    .loading-progress-text::after {
        content: var(--blazor-load-percentage-text, "Loading");
    }

.mud-snackbar-location-top-right {
    top: 55px !important;
}

.icon-option {
    display: inline-flex;
    align-items: center;
    gap: 8px;
    line-height: 1;
}

    .icon-option .mud-icon-root {
        width: 24px;
        height: 24px;
        display: inline-flex;
        align-items: center;
        justify-content: center;
    }

@media (max-width: 599.98px) {
    html {
        font-size: 14px;
    }
}

/* Helpers start */

.pc-text-align-left {
    text-align: left;
}

.pc-text-align-center {
    text-align: center;
}

.pc-text-align-right {
    text-align: right;
}

.pc-text-nowrap {
    white-space: nowrap;
}

.pc-flex-nowrap {
    display: flex;
    flex-wrap: nowrap;
}

.table-layout-fixed {
    table-layout: fixed;
}
/* Helpers end */